Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression.ast
Class SimpleCharStream

    java.lang.Object
      org.codehaus.aspectwerkz.expression.ast.SimpleCharStream

    public class SimpleCharStream

extends Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`protected static int[]` | `bufcolumn`
`protected static char[]` | `buffer`
`protected static int[]` | `bufline`
`static int` | `bufpos`
`protected static int` | `column`
`protected static int` | `inBuf`
`protected static Reader` | `inputStream`
`protected static int` | `line`
`protected static int` | `maxNextCharInd`
`protected static boolean` | `prevCharIsCR`
`protected static boolean` | `prevCharIsLF`
`static boolean` | `staticFlag`

Constructor Summary
`SimpleCharStream(InputStream dstream)`
`SimpleCharStream(InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream(InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(Reader dstream)`
`SimpleCharStream(Reader dstream, int startline, int startcolumn)`
`SimpleCharStream(Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`static void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`static void` | `backup(int amount)`
`static char` | `BeginToken()`
`static void` | `Done()`
`protected static void` | `ExpandBuff(boolean wrapAround)`
`protected static void` | `FillBuff()`
`static int` | `getBeginColumn()`
`static int` | `getBeginLine()`
`static int` | `getColumn()` Deprecated. @see #getEndColumn
`static int` | `getEndColumn()`
`static int` | `getEndLine()`
`static String` | `GetImage()`
`static int` | `getLine()` Deprecated. @see #getEndLine
`static char[]` | `GetSuffix(int len)`
`static char` | `readChar()`
`void` | `ReInit(InputStream dstream)`
`void` | `ReInit(InputStream dstream, int startline, int startcolumn)`
`void` | `ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(Reader dstream)`
`void` | `ReInit(Reader dstream, int startline, int startcolumn)`
`void` | `ReInit(Reader dstream, int startline, int startcolumn, int buffersize)`
`protected static void` | `UpdateLineColumn(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufpos

    public static int bufpos

### bufline

    protected static int[] bufline

### bufcolumn

    protected static int[] bufcolumn

### column

    protected static int column

### line

    protected static int line

### prevCharIsCR

    protected static boolean prevCharIsCR

### prevCharIsLF

    protected static boolean prevCharIsLF

### inputStream

    protected static Reader inputStream

### buffer

    protected static char[] buffer

### maxNextCharInd

    protected static int maxNextCharInd

### inBuf

    protected static int inBuf

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(Reader dstream)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream)

Method Detail

### ExpandBuff

    protected static void ExpandBuff(boolean wrapAround)

### FillBuff

    protected static void FillBuff()
                            throws IOException

  Throws:
    `IOException`

### BeginToken

    public static char BeginToken()
                           throws IOException

  Throws:
    `IOException`

### UpdateLineColumn

    protected static void UpdateLineColumn(char c)

### readChar

    public static char readChar()
                         throws IOException

  Throws:
    `IOException`

### getColumn

    public static int getColumn()

  Deprecated. @see #getEndColumn

### getLine

    public static int getLine()

  Deprecated. @see #getEndLine

### getEndColumn

    public static int getEndColumn()

### getEndLine

    public static int getEndLine()

### getBeginColumn

    public static int getBeginColumn()

### getBeginLine

    public static int getBeginLine()

### backup

    public static void backup(int amount)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(Reader dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(InputStream dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn)

### GetImage

    public static String GetImage()

### GetSuffix

    public static char[] GetSuffix(int len)

### Done

    public static void Done()

### adjustBeginLineColumn

    public static void adjustBeginLineColumn(int newLine,
                                             int newCol)

  Method to adjust line and column numbers for the start of a token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.